availablePackage_s Struct Reference

Info about a single package to be installed. More...

## Data Fields

rpmds | provides
rpmfi | fi
rpmuint32_t | tscolor
fnpyKey | key

## Detailed Description

Info about a single package to be installed.

Definition at line 32 of file rpmal.c.

## Field Documentation

rpmfi availablePackage_s::fi

File info set.

Definition at line 36 of file rpmal.c.

Referenced by rpmalAdd(), rpmalDel(), and rpmalFree().

fnpyKey availablePackage_s::key

Associated file name/python object

Definition at line 41 of file rpmal.c.

Referenced by rpmalAdd(), rpmalAllFileSatisfiesDepend(), and rpmalAllSatisfiesDepend().

rpmds availablePackage_s::provides

Provides: dependencies.

Definition at line 34 of file rpmal.c.

Referenced by rpmalAdd(), rpmalAllSatisfiesDepend(), rpmalDel(), rpmalFree(), and rpmalMakeIndex().

rpmuint32_t availablePackage_s::tscolor

Transaction color bits.

Definition at line 38 of file rpmal.c.

Referenced by rpmalAdd(), rpmalAllFileSatisfiesDepend(), and rpmalMakeIndex().

The documentation for this struct was generated from the following file:

- lib/rpmal.c